Subject: Re: [PATCH 00/38] Start work on GNOME 46

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 09 Aug 2024 23:39:06 +0200

Am Freitag, dem 09.08.2024 um 04:55 +0300 schrieb Aleksej:
> Hi! It's my first time using Guix, so sorry if I'm doing the wrong
> thing now. Is there any work going on packaging GNOME 46? Or maybe we
> could wait until GNOME 47? Are there any major issues now, that stop
> us from upgrade?
Apart from Rust being Rust (not sure whether the rust-team branch has
what we need to package the new Rust-based applications), GNOME 46
already requires some deep dependency upgrades that will more or less
rebuild the world (tending towards more here).

You can check out the gnome-team branch and try to build some
applications or a full vm (I haven't tried that latter one yet, given
that important packages are still stuck on their 44 versions). 
Upstream declares their versions in [1] – we sadly don't have a
buildstream importer yet and need to update the packages by hand.

Cheers

[1] https://gitlab.gnome.org/GNOME/gnome-build-meta/